package cn.com.countrygarden.bi.main.service.dup;

import cn.com.countrygarden.bi.main.core.Result;
import java.util.Map;

/**
 * Created by huangzhengjun on 2018/2/7.
 */
public interface CaseFieldService {

    int insertCaseField(Map<String, Object> paramMap);

    /**
     * 根据条件查询录入了的案场信息
     *
     * @param paramMap 参数
     * @return 返回所有符合条件的集合
     */
    Result queryByKeys(Map<String, Object> paramMap);

    /**
     * 逻辑删除案场记录
     *
     * @param paramMap
     * @return
     */
    int softDeleteById(Map<String, Object> paramMap);

    /**
     * 修改案场信息根据ID
     *
     * @param paramMap
     * @return
     */
    Map<String,Object> modifyCaseFieldById(Map<String, Object> paramMap);

    Map<String,Object> queryById(int id);
    
}
